use serde::{Serialize, Deserialize};

// Define the Message enum
#[derive(Serialize, Deserialize)]
#[serde(tag = "type")]
pub enum Message {
    NewEmail(NewEmail),
    EmailRemoved(EmailRemoved),
    EmailStartDownload(EmailStartDownload),
    EmailStopDownload(EmailStopDownload)
}

#[derive(Serialize, Deserialize)]
pub struct NewEmail {
    pub list: String
}

#[derive(Serialize, Deserialize)]
pub struct EmailStartDownload {
    pub list: String,
    pub broadcast_id: String
}

#[derive(Serialize, Deserialize)]
pub struct EmailStopDownload {
    pub list: String,
    pub broadcast_id: String
}

#[derive(Serialize, Deserialize)]
pub struct EmailRemoved {
    pub list: String
}